#!/usr/bin/env perl
#------------------------------------------------------------------------
# Remove 'namespace' commands since perceps cannot handle it
#------------------------------------------------------------------------
$block =~ s/\nnamespace\s+\S+\s*{\s*//g;
$block =~ s/\n\s*};*\s*\/\/[^\n]*namespace[^\n]*\n//g;
$block =~ s/datacondAPI:://g;
#------------------------------------------------------------------------
# Remove code blocks as they have nothing interesting and potentially
#   confuse PERCEPS with struct and other "features".
#------------------------------------------------------------------------
$block =~ s/\n\{(.|\n[^}])*\n\}/\n{\n}/mg;
$block =~ s/\)\w*:\w*(.|\n[^{])*\n\{/)\n{/mg;
$block =~ s/^\n\#[^\n]*\n/\n/mg;  # remove c/c++ directives
#------------------------------------------------------------------------
# Line Joining rules
#------------------------------------------------------------------------
$block =~ s/::\n/::/g;
$block =~ s/(\n[A-Za-z][^\n]*)\n/$1 /g;
#------------------------------------------------------------------------
# template handling routines
#------------------------------------------------------------------------
$oldinput =~ /(\.icc|\.cc)$/ && $block =~ s/(\w*)<(\w*\s*)>::/$1::/g;
#------------------------------------------------------------------------
# Make tables
#------------------------------------------------------------------------
$block=~s/ \-\- /<\/td><td>/g;
$block=~s/<row>/<tr><td>/g;
$block=~s/<\/row>/<\/td><\/tr>/g;
#------------------------------------------------------------------------
# Finally generate lal documentation
#------------------------------------------------------------------------
{eval `cat $ENV{SRCDIR}/laldoc.pl`};
